<?php


namespace App\HttpController;


use EasySwoole\Http\AbstractInterface\Controller;
use App\Com\JdSdk;

class Index extends Controller
{
    protected $JdSdk;

    public function index()
    {
        $file = EASYSWOOLE_ROOT.'/vendor/easyswoole/easyswoole/src/Resource/Http/welcome.html';
        if(!is_file($file)){
            $file = EASYSWOOLE_ROOT.'/src/Resource/Http/welcome.html';
        }
        $this->response()->write(file_get_contents($file));
    }

    /**
     * 3.5  商品上下架状态接口
     *
     * @param $skuArr
     *
     * @return array|bool
     */
    public function skuState()
    {
        // 获取 `POST` 或者 `GET` 提交的所有参数
        $data = $this->request()->getRequestParam();

        $skuArr = $data['skuArr'];

        $this->JdSdk = new JdSdk();

        $response = $this->JdSdk->api_product_sku_state($skuArr);

        $this->response()->write($response . PHP_EOL);

        //$response = json_decode($response, true);
//        =====$response=====
//        { "success": true, "resultMessage": "操作成功", "resultCode": "0000", "result": [ { "state": 0, "sku": 5729524 } ], "code": 200 }

        //return $response;

    }

    /**
     * 6.2  批量获取库存接口（建议订单详情页、下单使用）
     *
     * @param $skuNums
     * @param $area
     * $skuNums商品和数量 此是个String 再重构吧  [{skuId: 569172,num:101}], $area格式：1_0_0 (分别代表1、2、3级地址)
     * @return mixed
     */
    public function skuStock()
    {
        // 获取 `POST` 或者 `GET` 提交的所有参数
        $data = $this->request()->getRequestParam();

        $skuArr = $data['skuArr'];

        $area = $data['area'];

        $this->JdSdk = new JdSdk();

        $response = $this->JdSdk->api_stock_get_new_stock_by_id($skuArr, $area);

        $this->response()->write($response . PHP_EOL);

        //return $response;
    }

    /**
     * TODO 待测 5.2  批量查询协议价价格
     * HTTPS请求方式：POST
     *
     * @return string
     */
    function skuPrice()
    {
        // 获取 `POST` 或者 `GET` 提交的所有参数
        $data = $this->request()->getRequestParam();

        $skuArr = $data['skuArr'];

        $this->JdSdk = new JdSdk();

        $response = $this->JdSdk->api_price_get_price($skuArr);

        $this->response()->write($response . PHP_EOL);

        //return $response;
    }


    function test()
    {
        $this->response()->write('this is test');
    }

    protected function actionNotFound(?string $action)
    {
        $this->response()->withStatus(404);
        $file = EASYSWOOLE_ROOT.'/vendor/easyswoole/easyswoole/src/Resource/Http/404.html';
        if(!is_file($file)){
            $file = EASYSWOOLE_ROOT.'/src/Resource/Http/404.html';
        }
        $this->response()->write(file_get_contents($file));
    }
}